#include <stdio.h>
main()
{
    int t;
    scanf("%d",&t);
    int r,q,s;
    for(int i=0;i<t;i++)
    {
        scanf("%d %d",&r,&q);
        for(int j=0;j<r;j++)
            {
                for(int k=0;k<q;k++)
                {
                    scanf("%d",&s);
                }
            }
    }
    for(int i=0;i<t;i++)
        printf("NE\n");

}